# BootstrapRegistry class abstract

A registry interface for bootstrapping components during early phases of application startup.

Components can be registered as suppliers which are resolved later via the BootstrapContext. This allows for flexible and lazy initialization of pods.

Suppliers can be registered with different scopes:

- ScopeType.SINGLETON (default)
- ScopeType.PROTOTYPE

Example:

    registry.register(
      Class.of(Logger),
      InstanceSupplier.from(() => Logger('bootstrap')),
    );

Implementers
  - ConfigurableBootstrapContext

## Constructors

BootstrapRegistry.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

addCloseListener(ApplicationEventListener<BootstrapContextClosedEvent> listener) → void
  Adds an ApplicationEventListener that is called when the BootstrapContext is closed and the ApplicationContext has been fully prepared.
getSupplier<T>(Class<T> type) → BootstrapInstanceSupplier<T>?
  Returns the registered BootstrapInstanceSupplier for a type `T`, or `null` if not registered.
isRegistered<T>(Class<T> type) → bool
  Checks whether a supplier for type `T` is already registered.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
register<T>(Class<T> type, BootstrapInstanceSupplier<T> supplier) → void
  Register a supplier for a type `T` into the registry.
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited